import { Done } from '../../../../../Class/Functional/Done';
import { Holder } from '../../../../../Class/Holder';
import { System } from '../../../../../system';
import { PS } from '../../../../../types/interface/PS';
export interface I {
    media: PS;
    opt: {};
    done: any;
}
export interface O {
}
export default class RequestPictureInPicture extends Holder<I, O> {
    private _picture_in_picture;
    private _exit_picture_in_picture_promise;
    private _unlisten;
    constructor(system: System);
    f({ media, opt }: I, done: Done<O>): Promise<void>;
    d(): void;
}
